  /* $Id$ */
  /*============================================================================*
   |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
   |                             All rights reserved                            |
   *===========================================================================*/

  SET VERIFY OFF
  SET FEEDBACK OFF
  SET SCAN OFF
  WHENEVER OSERROR  EXIT FAILURE ROLLBACK
  WHENEVER SQLERROR EXIT FAILURE ROLLBACK

  DECLARE

    --
    -- Local constants and variables
    --
    l_SERVICE CONSTANT xxas_com_service_repository.service_name%TYPE
                         := 'Diagnostics';

  BEGIN

    xxas_com_sr_pkg.set_rest_service
      (p_service_name       => l_SERVICE
      ,p_description        => 'Diagnostics information'
      ,p_path               => 'diagnostics'
      ,p_consumes           => 'application/xml'
      ,p_produces           => 'application/xml'
      );

    xxas_com_sr_pkg.set_rest_method
      (p_service_name       => l_SERVICE
      ,p_method_name        => 'GetDiagnostics'
      ,p_description        => 'Retrieve the diagnostics report'
      ,p_methods            => 'GET'
      ,p_remove_root_ele    => true
      ,p_sql                =>
        q'[
          SELECT xxas_diagnostics_pkg.get_report_xml
          FROM dual
          ]'
      );
      
  END;
  /
  COMMIT;
  EXIT;